DeflaterOutputStream
Date: 2016-06-24

java.util.zip

## Class DeflaterOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.util.zip.DeflaterOutputStream

- Direct Known Subclasses:
    GZIPOutputStream, ZipOutputStream

      public class DeflaterOutputStream
      extends FilterOutputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `buf`
    `protected Deflater` | `def`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeflaterOutputStream(OutputStream var0)`
    `DeflaterOutputStream(OutputStream var0, Deflater var1)`
    `DeflaterOutputStream(OutputStream var0, Deflater var1, int var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `deflate()`
    `void` | `finish()`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.io.OutputStream

      `close, flush, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buf

          protected byte[] buf

    - #### def

          protected Deflater def

  - ### Constructor Detail

    - #### DeflaterOutputStream

          public DeflaterOutputStream(OutputStream var0)

    - #### DeflaterOutputStream

          public DeflaterOutputStream(OutputStream var0,
                              Deflater var1)

    - #### DeflaterOutputStream

          public DeflaterOutputStream(OutputStream var0,
                              Deflater var1,
                              int var2)

  - ### Method Detail

    - #### deflate

          protected void deflate()
                          throws IOException

      Throws:
        `IOException`

    - #### finish

          public void finish()
                      throws IOException

      Throws:
        `IOException`